<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#F4F5F9"
    android:orientation="vertical"
    tools:context=".activity.whatsapp.WhatsAppMessageCleanActivity">

    <View
        android:layout_width="match_parent"
        android:layout_height="40dp"
        android:background="@color/white" />

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white">

        <FrameLayout
            android:id="@+id/fl_back"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:padding="15dp">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@mipmap/fanhui"
                android:tint="@color/black"
                tools:ignore="ContentDescription,UseAppTint" />
        </FrameLayout>

        <TextView
            android:id="@+id/tv_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:textColor="@color/black"
            android:textSize="19sp"
            android:textStyle="bold"
            tools:ignore="HardcodedText"
            tools:text="Image Messages" />

    </FrameLayout>

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white">

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginVertical="25dp"
            android:orientation="vertical"
            tools:ignore="UselessParent">

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/tv_size"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="0"
                    android:textColor="#4772FF"
                    android:textSize="45sp"
                    android:textStyle="bold"
                    tools:ignore="HardcodedText" />

                <TextView
                    android:id="@+id/tv_unit"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="start"
                    android:layout_marginStart="8dp"
                    android:text="KB"
                    android:textColor="#4772FF"
                    android:textSize="12sp"
                    android:textStyle="bold"
                    tools:ignore="HardcodedText" />
            </LinearLayout>

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_marginTop="14dp"
                android:text="Cleanable"
                android:textColor="#666666"
                android:textSize="15sp"
                tools:ignore="HardcodedText" />

        </LinearLayout>
    </FrameLayout>


    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/rv"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginTop="16dp"
        android:layout_weight="1"
        android:background="@color/white"
        tools:listitem="@layout/item_media_select" />

    <FrameLayout
        android:id="@+id/fl_ad"
        android:layout_width="match_parent"
        android:layout_height="wrap_content" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="80dp"
        android:background="@color/white">

        <LinearLayout
            android:id="@+id/ll_select_all"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="30dp"
            android:orientation="vertical"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:ignore="UseCompoundDrawables">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:minWidth="23dp"
                android:minHeight="23dp"
                android:src="@drawable/bg_square_selector"
                tools:ignore="ContentDescription" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="Select All"
                tools:ignore="HardcodedText" />

        </LinearLayout>

        <TextView
            android:id="@+id/tv_clean"
            android:layout_width="266dp"
            android:layout_height="50dp"
            android:background="@drawable/bg_button_enable_selector"
            android:enabled="false"
            android:gravity="center"
            android:text="CLEAN"
            android:textColor="@color/white"
            android:textSize="19sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@id/ll_select_all"
            app:layout_constraintTop_toTopOf="parent"
            tools:ignore="HardcodedText" />

    </androidx.constraintlayout.widget.ConstraintLayout>

</LinearLayout>